package com.fjhx.purchase.service.quality;

import com.fjhx.purchase.entity.quality.po.Quality;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.quality.vo.QualityVo;
import com.fjhx.purchase.entity.quality.dto.QualitySelectDto;
import com.fjhx.purchase.entity.quality.dto.QualityDto;


/**
 * <p>
 * 质检 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface QualityService extends BaseService<Quality> {

    /**
     * 质检分页
     */
    Page<QualityVo> getPage(QualitySelectDto dto);

    /**
     * 质检明细
     */
    QualityVo detail(Long id);

    /**
     * 质检新增
     */
    void add(Quality quality);

    /**
     * 质检编辑
     */
    void edit(QualityDto qualityDto);

    /**
     * 质检删除
     */
    void delete(Long id);

}
